SQ-ARMOR(1)

NAME
sq-armor - Converts binary to ASCII

To make encrypted data easier to handle and transport, OpenPGP data can be transformed to an ASCII representation called ASCII Armor. sq emits armored data by default, but this subcommand can be used to convert existing OpenPGP data to its ASCII-encoded representation.

The converse operation is "sq dearmor".

SYNOPSIS
sq armor [FLAGS] [OPTIONS] [--] [FILE]

FLAGS

-h, --help
    Prints help information

OPTIONS

-o, --output FILE
    Writes to FILE or stdout if omitted

--label LABEL
    Selects the kind of armor header [default: auto] [possible values: auto, message, cert, key, sig, file]

ARGS

FILE
    Reads from FILE or stdin if omitted

EXAMPLES

# Convert a binary certificate to ASCII
    $ sq armor binary-juliet.pgp

# Convert a binary message to ASCII
    $ sq armor binary-message.pgp

SEE ALSO
For the full documentation see <https://docs.sequoia-pgp.org/sq/>.

sq(1), sq-armor(1), sq-autocrypt(1), sq-certify(1), sq-dearmor(1), sq-decrypt(1), sq-encrypt(1), sq-inspect(1), sq-key(1), sq-keyring(1), sq-packet(1), sq-sign(1), sq-verify(1)

AUTHORS

    Azul <azul@sequoia-pgp.org>
    Igor Matuszewski <igor@sequoia-pgp.org>
    Justus Winter <justus@sequoia-pgp.org>
    Kai Michaelis <kai@sequoia-pgp.org>
    Neal H. Walfield <neal@sequoia-pgp.org>
    Nora Widdecke <nora@sequoia-pgp.org>
    Wiktor Kwapisiewicz <wiktor@sequoia-pgp.org>